Bug 70396 - fontconfig returns wrong font for glyphs if fallback from pfa font
fontconfig returns wrong font for glyphs if fallback from pfa font
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: qt (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-07-31 21:01 EDT by Leon Ho
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-28 15:46:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leon Ho 2002-07-31 21:01:11 EDT
Description of Problem:     
It returns wrong font for glyphs if fallback from pfa fonts.     
     
Version-Release number of selected component (if applicable):     
     
     
How Reproducible:     
everytime    
     
Steps to Reproduce:     
1. rm -rf .kde; run KDE with zh_CN.GB18030    
2. FC_DEBUG=1 kedit    
3. open any simplified chinese file 
4. watch the debug accept courier for displaying glyphs    
     
Actual Results:     
    
Match Pattern 19 of 32    
        antialias: FcTrue    
        autohint: FcFalse    
        charset: set    
        dpi: 80.9427    
        family: "courier" "Courier New" "ZYSong18030" "AR PL SungtiL GB" "Andale Mono"    
"Courier New" "Luxi Mono" "Nimbus Mono L" "monospace" "AR PL Mingti2L Big5" "Baekmuk    
Dotum" "Kochi Gothic" "monospace"    
        globaladvance: FcTrue    
        hinting: FcTrue    
        hintstyle: 1    
        language: "zh-cn"    
        maxglyphmemory: 1048576    
        minspace: FcFalse    
        pixelsize: 12    
        render: FcTrue    
        rgba: 0    
        scale: 1    
        slant: 0    
        spacing: 100    
        verticallayout: FcFalse    
        weight: 100    
    
Best score 0 0 0 0 0 0 0 0 0 0 0 0Pattern 10 of 16    
        charset: set    
        family: "Courier"    
        file: "/usr/X11R6/lib/X11/fonts/Type1/cour.pfa"    
        index: 0    
        outline: FcTrue    
        scalable: FcTrue    
        slant: 0    
        spacing: 100    
        style: "Regular"    
        weight: 100    
    
     
     
Expected Results:     
It should fall back to ZYSong18030 for simplifiedchinese glyphs     
     
Additional Information:
Comment 1 Owen Taylor 2002-08-01 10:25:24 EDT
Unfortunately, qt doesn't handle fallbacks using the fontconfig 
machinery correctly; this would require some more extensive 
changes to the qt font code than is done in the current 
Xft2 for qt diff.
Comment 2 Owen Taylor 2002-08-08 17:42:21 EDT
(missed reassignment earlier)
Comment 3 Leon Ho 2002-08-13 04:24:04 EDT
Yes confirmed it is qt's handling problem. It exists no matter which languages
so it is good idea to modify qt font classes to have this functionality.
Comment 4 Leon Ho 2002-08-14 08:40:35 EDT
Patch attached over Bug 71482 should fix this problem as well. Please verify.
Comment 5 Ngo Than 2002-08-24 05:17:04 EDT
it's fixed in qt-3.0.5-15 or newer.
Comment 6 Jay Turner 2002-08-28 15:46:37 EDT
Would someone mind confirming this is indeed fixed?
Comment 7 Leon Ho 2002-08-28 18:51:10 EDT
Confirmed the patch is in and fixed.

Note You need to log in before you can comment on or make changes to this bug.